diff --git a/core/base/src/TStyle.cxx b/core/base/src/TStyle.cxx
index f79bbac..982613f 100644
--- a/core/base/src/TStyle.cxx
+++ b/core/base/src/TStyle.cxx
@@ -384,6 +384,7 @@ void TStyle::Copy(TObject &obj) const
    ((TStyle&)obj).fStatFontSize   = fStatFontSize;
    ((TStyle&)obj).fStatStyle      = fStatStyle;
    ((TStyle&)obj).fStatFormat     = fStatFormat;
+   ((TStyle&)obj).fStatRMSlabel   = fStatRMSlabel;
    ((TStyle&)obj).fStatW          = fStatW;
    ((TStyle&)obj).fStatH          = fStatH ;
    ((TStyle&)obj).fStatX          = fStatX;
@@ -514,6 +515,7 @@ void TStyle::Reset(Option_t *opt)
    fStatX          = 0.98;
    fStatY          = 0.995;
    SetStatFormat();
+   SetStatRMSlabel();
    SetFitFormat();
    SetPaintTextFormat();
    fTitleAlign     = 13;
@@ -1709,6 +1711,8 @@ void TStyle::SavePrimitive(std::ostream &out, Option_t * /*= ""*/)
    out<<"   "<<"tmpStyle->SetStatStyle("      <<GetStatStyle()      <<");"<<std::endl;
    out<<"   "<<"tmpStyle->SetStatFormat("     <<quote << GetStatFormat()
                                             <<quote               <<");"<<std::endl;
+   out<<"   "<<"tmpStyle->SetStatRMSlabel("   <<quote << GetStatRMSlabel()
+                                            <<quote               <<");"<<std::endl;
    out<<"   "<<"tmpStyle->SetStatX("          <<GetStatX()          <<");"<<std::endl;
    out<<"   "<<"tmpStyle->SetStatY("          <<GetStatY()          <<");"<<std::endl;
    out<<"   "<<"tmpStyle->SetStatW("          <<GetStatW()          <<");"<<std::endl;
